/api/v1/knowledge-vault/resourcesRequires read scope with session_or_bearer authentication.
Parameters
| Param | Type | Required | Description | Options |
|---|---|---|---|---|
| page | number | No | Page number for paginated results. | - |
| pageSize | number | No | Number of items returned per page. | - |
| search | string | No | Input value for this endpoint. | - |
| categoryId | string | No | Input value for this endpoint. | - |
| tags | string | No | Input value for this endpoint. | - |
| type | string | No | Domain category/type of the item. | LINK, VIDEO, NOTE, DOCUMENTATION (repeatable) |
| sortField | string | No | Field used to sort results. | title, type, createdAt, updatedAt |
| sortDirection | string | No | Sort order direction. | asc, desc |
Request Example
Use the snippet below to call this endpoint from your app or CLI.
Response Example
Toggle between a success and failure payload returned by this endpoint.